import lumeCMS from "lume/cms/mod.ts";

const cms = lumeCMS();

cms.collection(
  "posts: Blog posts",
  "src:posts/*.md",
  [
    "title: text",
    "date: datetime",
    "image: file",
    "image_alt: text",
    "image_caption: text",
    {
      name: "content",
      type: "markdown",
      label: "Content",
    },
  ],
);
cms.upload("images", "src:images");

export default cms;
